be.ehealth.technicalconnector.service.sts.security

## Interface SAMLToken

- All Superinterfaces:
    Credential, ExtendedCredential
  All Known Subinterfaces:
    SAML11Token, SAML20Token, SAMLHolderOfKeyToken, SAMLSenderVouchesToken
  All Known Implementing Classes:
    AbstractSAML11Token, AbstractSAML20Token, AbstractSAMLToken, SAML11HolderOfKeyToken, SAML11SenderVouchesToken, SAML20HolderOfKeyToken, SAML20SenderVouchesToken

      public interface SAMLToken
      extends ExtendedCredential

  The Interface SAMLToken. Extends : `Credential`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SAMLToken.Version`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkValidity()`
    `Element` | `getAssertion()` Gets the assertion.
    `String` | `getAssertionID()`
    `Map<String,List<String>>` | `getAttributes()`
    `Credential` | `getCredential()`
    `org.joda.time.DateTime` | `getNotOnOrAfterCondition()`
    `SAMLToken.Version` | `getSamlVersion()`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.ExtendedCredential

      `getCertPath, getExpirationDateTime`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.Credential

      `getCertificate, getCertificateChain, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

- - ### Method Detail

    - #### getCredential

          Credential getCredential()

    - #### getAssertion

          Element getAssertion()

      Gets the assertion.
      Returns:
        the assertion

    - #### getSamlVersion

          SAMLToken.Version getSamlVersion()

    - #### getAssertionID

          String getAssertionID()

    - #### checkValidity

          void checkValidity()
                      throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### getNotOnOrAfterCondition

          org.joda.time.DateTime getNotOnOrAfterCondition()

    - #### getAttributes

          Map<String,List<String>> getAttributes()

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.